bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#6505: make the Gtk+ port compile with -DGSEAL_ENABLE in preparation


From: Chong Yidong
Subject: bug#6505: make the Gtk+ port compile with -DGSEAL_ENABLE in preparation for Gtk+-3
Date: Sun, 27 Jun 2010 13:56:26 -0400
User-agent: Gnus/5.13 (Gnus v5.13) Emacs/23.2.50 (gnu/linux)

Jan Djärv <address@hidden> writes:

> 25 jun 2010 kl. 23:42 skrev Dan Nicolaescu <address@hidden>:
>
>> Good to hear you already have some solution.
>> IMHO the main thing is that emacs should not be seen as lagging
>> behind.  When the first distribution switches to version 3, it would be
>> good to have something available...
>
> I we must see a Gnome based on Gtk 3.0 first. It is not possible
> (without #ifdefs) to support < 2.14 and 3.0.
>
> If it is just a few ifdefs I will add them.  But we need to decide if
> configure should start to check for Gtk 3.0. Maybe now is the time.

Yes, I think bumping the requirement to 2.14 in the trunk is fine, as is
adding support for 3.0, provided it does not interfere with the GTK-2
support.  Thanks for working ahead on this.





reply via email to

[Prev in Thread] Current Thread [Next in Thread]